/* ===== RESET ===== */
*, *::before, *::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* ===== VARIABLES ===== */
:root {
  /* Colors */
  --blue-500: hsl(223, 87%, 63%);
  --blue-200: hsl(223, 100%, 88%);
  --red-400: hsl(354, 100%, 66%);
  --gray-400: hsl(0, 0%, 59%);
  --blue-950: hsl(209, 33%, 12%);
}

/* ===== GLOBALS ===== */
html {
  font-family: "Libre Franklin", sans-serif;
  font-weight: 300;
  font-style: normal;
  font-size: 10px;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  padding: 5.4rem 0 1rem;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
  color: inherit;
}

img {
  max-width: 100%;
}

/* ===== LAYOUT ===== */
.subscribe {
  padding: 2.8rem;
  text-align: center;
}

.subscribe__header {
  margin-bottom: 2rem;
}

.logo {
  width: 5.495rem;
  margin-bottom: 3.6rem;
}

.subscribe__title {
  font-size: 2.2rem;
  font-weight: 300;
  color: var(--gray-400);
}

.highlight {
  font-weight: 700;
  color: var(--blue-950);
}

.notify {
  margin-bottom: 12rem;
}

.notify__title {
  margin-bottom: 3rem;
  font-size: 1.2rem;
  font-weight: 300;
}

/* ===== FORM ===== */
.form {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  margin-bottom: 7rem;
  padding: 0 1.8rem;
}

.form:has(input.form__input--error) {
  gap: 2rem;
  margin-bottom: 4.3rem;
}

.form__input, .form__button {
  width: 100%;
  height: 4rem;
  padding: 2px 3.5rem;
  border-radius: 2rem;
  font-size: 1.2rem;
}

.form__input {
  margin-bottom: 0.5rem;
  border: 1px solid var(--gray-400);
  color: var(--blue-950);
}

.form__input:focus, .form__button:focus {
  outline: 1px solid var(--blue-500);
  outline-offset: 2px;
}

.form__input--error {
  border: 1px solid var(--red-400);
}

.form__button {
  border: none;
  background-color: var(--blue-500);
  font-family: inherit;
  font-weight: 600;
  color: white;
  box-shadow: 2px 5px 10px 5px var(--blue-200);
  cursor: pointer;
  transition: opacity 0.2s;
}

.form__button:hover {
  opacity: 0.8;
}

.form__error {
  font-style: italic;
  font-size: 0.9rem;
  color: var(--red-400);
}

/* ===== SOCIAL ===== */
.social {
  display: flex;
  justify-content: center;
  gap: 1.25rem;
  margin-bottom: 2.8rem;
}

.social__item {
  padding: 0.5rem;
  border: 1px solid var(--gray-400);
  border-radius: 50%;
  color: var(--blue-500);
  cursor: pointer;
  transition: border-color 0.3s, background-color 0.3s, color 0.3s;
}

.social__item:hover {
  border-color: var(--blue-500);
  background-color: var(--blue-500);
  color: white;
}

.social__link {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 1.7rem;
  height: 1.7rem;
  font-size: 1.4rem;
}

/* ===== FOOTER ===== */
.copyright {
  font-size: 1rem;
  color: var(--gray-400);
}

/* ===== UTILITIES ===== */
.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip-path: inset(50%);
  white-space: nowrap;
  border: 0;
}

/* ===== MEDIA QUERIES ===== */
@media screen and (min-width: 480px) {
  html { font-size: 14px; }
}

@media screen and (min-width: 720px) {
  html { font-size: 20px; }
}

@media screen and (min-width: 1024px) {
  html { font-size: 14px; }

  body {
    padding-top: 3.2rem;
  }

  .subscribe__header {
    margin-bottom: 1.4rem;
  }

  .subscribe__title {
    font-size: 3.43rem;
  }

  .form {
    flex-direction: row;
    gap: 1rem;
    margin-bottom: 4.281rem;
    padding: 0;
  }

  .form:has(input.form__input--error) {
    gap: 1rem;
    margin-bottom: 4.281rem;
  }

  .form__field {
    flex-basis: 70%;
    text-align: left;
  }

  .form__input {
    padding: 2px 2.143rem;
  }

  .form__error {
    margin-left: 2.143rem;
  }

  .form__button {
    flex-basis: 30%;
  }

  .notify {
    max-width: 640px;
    margin-bottom: 4.3rem;
  }

  .notify__title {
    font-size: 1.43rem;
  }

  .social {
    gap: 1rem;
    margin-bottom: 2rem;
  }

  .social__item {
    padding: 0.3rem;
  }

  .social__link {
    width: 1.214rem;
    height: 1.214rem;
    font-size: 1rem;
  }

  .copyright {
    font-size: 0.8rem;
  }
}